<?php
/*------------------------------------------------------------------------
# JA bellatrix 1.0 - Nov, 2006
# ------------------------------------------------------------------------
# Copyright (C) 2004-2006 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
-------------------------------------------------------------------------*/

defined( '_VALID_MOS' ) or die( 'Restricted access' );
$iso = split( '=', _ISO );
/*echo "<?xml version=\"1.0\" encoding=\"'. $iso[1] .'\"?' .'>";*/
global $ja_color_themes, $ja_header_images, $ja_width_default, $ja_color_default, $ja_font_size_default, $ja_tool, $ja_menutype, $ja_template_path, $ja_template_absolute_path, $ja_color, $ja_width, $ja_font_size, $ja_template_name;

$ja_template_name = 'ja_bellatrix';

# TEMPLATE CONFIGURATIONS ##########
####################################
#support extra color themes
$ja_color_themes = array('default', 'brick', 'green'); // You can add more color array if needed
####################################
# Change the width of the template
$ja_width_default = 'narrow'; // 'narrow': 800x600; 'wide': 1024x768; 'auto': fluid width
# default color
$ja_color_default = 'default'; //blank for default, else pick one of in extra color themes $ja_color_themes
#font size default
$ja_font_size_default = 3;
# Enable users option
$ja_tool = 3; // 0: disable all; 1: disable color, enable font; 2: enable color, disable font; 3: enable all.
# Choose your prefer Menu Type
$ja_menutype = 1; // 1: Split Menu; 2: Son of Suckerfish Dropdown Menu; 3: Transmenu; 4: Script Dropline Menu;
# END: TEMPLATE CONFIGURATIONS ##########

# Define the template path ##########
$ja_template_path = $mosConfig_live_site.'/templates/'.$ja_template_name;
$ja_template_absolute_path = $mosConfig_absolute_path.'/templates/'.$ja_template_name;
include ($ja_template_absolute_path."/ja_templatetools.php");

$topnav = "";
$subnav = "";
if ($ja_menutype == 1) {
	require($ja_template_absolute_path."/ja_splitmenu.php");
	$topnav = ja_topNav('mainmenu', array('default'));
	$subnav = ja_subNav('mainmenu');
} else if ($ja_menutype == 4) {
	require($ja_template_absolute_path."/ja_scriptdlmenu.php");
	$topnav = $jamenu->menuObj->main;
	$subnav = $jamenu->menuObj->sub;
}

# Auto Collapse Divs Functions ##########
$ja_left = mosCountModules( 'left' );
$ja_right = mosCountModules( 'right' );

if ( $ja_left && $ja_right ) {
	$divid = '';
	} elseif ( $ja_left ) { 
	$divid = '-fr';
	} elseif ( $ja_right ) {
	$divid = '-fl';
	} else {
	$divid = '-f';
}

# Top Spotlight ##########
$topmodule = 0;
if( mosCountModules('user7') ) $topmodule++;
if( mosCountModules('user8') ) $topmodule++;
if( mosCountModules('user9') ) $topmodule++;

if ( $topmodule == 3 ) {
	$divtopwidth = '33.3%';
} else if ($topmodule == 2) {
	$divtopwidth = '50%';
} else if ($topmodule == 1) {
	$divtopwidth = '100%';
}

$user8divstyle = "";
$user9divstyle = "";
$topdivstyle=" box-ended";
if( !mosCountModules('user9') ) {
  $user9divstyle=" box-ended";
}
if ( $topmodule == 3 ) {
	$user9divstyle = " box-centered";
}
if ( $topmodule == 1 ) {
	$user8divstyle =$topdivstyle = $user9divstyle = " box-fulled";
}

# Bottom Spotlight ##########
$bottommodule = 0;
if (mosCountModules('user1')) $bottommodule++;
if (mosCountModules('user2')) $bottommodule++;
if (mosCountModules('top')) $bottommodule++;

if ( $bottommodule == 3 ) {
	$divbotwidth = '32%';
} else if ($bottommodule == 2) {
	$divbotwidth = '49%';
} else if ($bottommodule == 1) {
	$divbotwidth = '99%';
}

$user1divstyle = ""; 
$user2divstyle = ""; 
$topdivstyle = " box-ended"; 
if ( !mosCountModules('top') ) {
	$user2divstyle = " box-ended"; 
}
if ( !mosCountModules('user2') ) {
	$user1divstyle = " box-ended"; 
}

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<?php mosShowHead(); ?>
<meta http-equiv="Content-Type" content="text/html; <?php echo _ISO; ?>" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link href="<?php echo $ja_template_path;?>/css/template_css.css" rel="stylesheet" type="text/css" />
<script language="javascript" type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/ja.script.js"></script>
<script type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/opacity.js"></script>
<link href="<?php echo $ja_template_path;?>/css/colors/<?php echo $ja_color; ?>.css" rel="stylesheet" type="text/css" />
<?php genMenuHead(); ?>

<?php //genColorHead(); ?>

<?php if ( $my->id ) { initEditor(); } ?>

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {	height: 1%;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {	display: inline-block;}
</style>
<![endif]-->
</head>

<body id="bd" class="<?php echo "$ja_width fs".$ja_font_size;?>">
<a title="Skip to content" href="<?php echo getCurrentURL();?>#Content" style="display: none;">Skip to content</a>
<a name="Top" id="Top"></a>
<div id="ja-wrapper">

<!-- BEGIN: MAIN NAVIGATION -->
<div id="ja-mainnav">
<?php
	switch ($ja_menutype) {
		case 1: echo $topnav;
		break;
		case 2:
			include($ja_template_absolute_path."/ja_cssmenu.php");
		break; 
		case 3:
			echo "<div class=\"transmenu-inner\">";
			include($ja_template_absolute_path."/ja_transmenu.php");
			echo "</div>"; 
		break;
		case 4: 
		echo $topnav;
		break;
	}
?>
</div>

<?php if ($subnav) { ?>
<div id="ja-subnavwrap" class="clearfix">
	<div id="ja-subnav">
		<?php echo $subnav; ?>
	</div>
</div>
<?php } ?>
<!-- END: MAIN NAVIGATION -->

<!-- BEGIN: HEADER -->
<div id="ja-header" class="clearfix">
	<h1>
		<a href="index.php">
		<script type="text/javascript">
			od_displayImage('sitelogo', '<?php echo $ja_template_path;?>/images/logo-bellatrix', 223, 50, '', '<?php echo $mosConfig_sitename?>');
		</script>
		</a>
	</h1>
	
	<?php if ($ja_tool || mosCountModules('user4')) {?>
	<div id="ja-usertoolswrap">
		<div id="ja-usertools">
			<?php genToolMenu($ja_tool & 1); /*screen tool*/ ?>
			<?php genToolMenu($ja_tool & 2); /*color tool*/ ?>
			<?php if (mosCountModules('user4')) {?>
			<div id="ja-search">
			<?php mosLoadModules ( 'user4', -1 ); ?>
			</div>
			<?php } ?>
		</div>
	</div>
	<?php } ?>
	
</div>
<!-- END: HEADER -->

<?php if( $topmodule ) { ?>
<!-- BEGIN: TOP SPOTLIGHT -->
<div id="ja-topsl" class="clearfix">
  <?php if( mosCountModules('user7') ) {?>
  <div class="ja-box<?php echo $user8divstyle; ?>" style="width: <?php echo $divtopwidth; ?>;">
    <?php mosLoadModules('user7', -2); ?>
  </div>
  <?php } ?>
  
  <?php if( mosCountModules('user8') ) {?>
  <div class="ja-box<?php echo $user9divstyle; ?>" style="width: <?php echo $divtopwidth; ?>;">
    <?php mosLoadModules('user8', -2); ?>
  </div>
  <?php } ?>
  
  <?php if( mosCountModules('user9') ) {?>
  <div class="ja-box<?php echo $topdivstyle; ?>" style="width: <?php echo $divtopwidth; ?>;">
    <?php mosLoadModules('user9', -2); ?>
  </div>
  <?php } ?>
  
</div>
<!-- END: TOP SPOTLIGHT -->
<?php } ?>

<div id="ja-pathway">
	<strong>You are here:</strong><?php mosPathway(); ?>
</div>

<div id="ja-container<?php echo $divid; ?>" class="clearfix">

	<!-- BEGIN: CONTENT -->
	<div id="ja-mainbody<?php echo $divid; ?>">
	<a name="Content" id="Content"></a>

	<div id="ja-contentwrap">
		<div id="ja-content">

                                    <!-- Slideshow in contentarea -->

                                    <?php if( mosCountModules('fpss') ) {?>
                                           <?php mosLoadModules('fpss', -2); ?>
                                    <?php } ?>

                                    <!-- End: Slideshow in contentarea -->

		<?php mosMainBody(); ?>
		</div>
	</div>

	<?php if ($ja_left) { ?>
	<!-- BEGIN: LEFT COLUMN -->
	<div id="ja-leftcol">
		<?php	echo
			mosLoadModules ( 'left',-2 );
		?>
	</div>
	<!-- END: LEFT COLUMN -->
	<?php } ?>

	</div>
	<!-- END: CONTENT -->

	<?php if ($ja_right) { ?>
	<!-- BEGIN: RIGHT COLUMN -->
	<div id="ja-rightcol">
		<?php	echo
			mosLoadModules ( 'right',-2 );
		?>
	</div>
	<br />
	<!-- END: RIGHT COLUMN -->
	<?php } ?>

</div>

<?php if ($bottommodule) { ?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botsl" class="clearfix">

	<?php if ( mosCountModules('user1') ) { ?>
	<div class="ja-box<?php echo $user1divstyle; ?>" style="width: <?php echo $divbotwidth ?>;">
		<?php mosLoadModules ( 'user1', -2 ); ?>
	</div>
	<?php } ?>

	<?php if ( mosCountModules('user2') ) { ?>
	<div class="ja-box<?php echo $user2divstyle; ?>" style="width: <?php echo $divbotwidth ?>;">
		<?php	mosLoadModules ( 'user2', -2 ); ?>
	</div>
	<?php } ?>

	<?php if ( mosCountModules('top') ) { ?>
	<div class="ja-box<?php echo $topdivstyle; ?>" style="width: <?php echo $divbotwidth ?>;">
		<?php	mosLoadModules ( 'top', -2 ); ?>
	</div>
	<?php } ?>

</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footer">
  <p id="ja-bottomline">
		<?php include_once( $ja_template_absolute_path.'/footer.php' ); ?>
	</p>
	
	<div id="ja-cert">
	 <a href="<?php echo $mosConfig_live_site ?>/index.php?option=com_rss&amp;feed=RSS2.0&amp;no_html=1" target="_blank" title="RSS 2.0" style="text-decoration: none;">
		<img src="<?php echo $ja_template_path;?>/images/but-rss.gif" alt="RSS 2.0" />
	 </a>
		<?php if ($ja_menutype != 3 ) { ?>
		<a href="http://jigsaw.w3.org/css-validator/validator?uri=<?php echo $mosConfig_live_site;?>" target="_blank" title="Our site is valid CSS" style="text-decoration: none;">
			<img src="<?php echo $ja_template_path;?>/images/but-css.gif" alt="Our site is valid CSS" />
		</a>
		<?php } ?>
		<a href="http://validator.w3.org/check/referer" target="_blank" title="Our site is valid XHTML 1.0 Transitional" style="text-decoration: none;">
			<img src="<?php echo $ja_template_path;?>/images/but-xhtml10.gif" alt="Our site is valid XHTML 1.0 Transitional" />
		</a>
		<a href="<?php echo getCurrentURL();?>#Top" title="Go to top" style="text-decoration: none;">
			<img src="<?php echo $ja_template_path;?>/images/but-top.gif" alt="Go to top!" />
		</a>
	</div>	
</div>
<!-- END: FOOTER -->

</div>

<?php mosLoadModules( 'debug', -1 );?>
</body>

</html>
